package com.link.core.util;

import com.link.base.user.model.CoreUser;
import com.link.core.util.redisclient.LinkRedisClient;

public class ErrorCodeUtils {
   public static String getErrorMessage(String errorCode) {
      String LNK_ERROR_CODE_KEY = "LINKCRM_KEY_OF_ERROR_CODE_CACHE";
      LinkRedisClient jedis = RedisUtil.getJedis();

      String var4;
      try {
         CoreUser user = UserUtil.getUser();
         if (null != user) {
            var4 = jedis.hget(LNK_ERROR_CODE_KEY, errorCode + user.getLoginLanguage());
            return var4;
         }

         var4 = null;
      } finally {
         RedisUtil.returnResource(jedis);
      }

      return var4;
   }
}
